'''
Аргумент metaclass указывает на то, какой класс учавствует при создании класса.
'''


class Person(object, metaclass=type):
    def __init__(self, name, age):
        self.name = name
        self.age = age

    def greeting(self):
        return f'Hi, I am {self.name}. I am {self.age} yers old.'
    

class Student(Person, metaclass=type):
    def __init__(self, name, age, major):
        super().__init__(name, age)
        self.major = major



        